Package fr.gouv.vitam.common.model.administration

# Enum Class IngestContractCheckState

java.lang.Object
java.lang.Enum<IngestContractCheckState>
fr.gouv.vitam.common.model.administration.IngestContractCheckState

All Implemented Interfaces:
  `Serializable`, `Comparable<IngestContractCheckState>`, `Constable`

public enum IngestContractCheckState extends Enum<IngestContractCheckState>
IngestContractState

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `AUTHORIZED`
  `REQUIRED`
  `UNAUTHORIZED`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static boolean`
  `contains(String name)`
  `static IngestContractCheckState`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static IngestContractCheckState[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### AUTHORIZED

    public static final IngestContractCheckState AUTHORIZED

  - ### REQUIRED

    public static final IngestContractCheckState REQUIRED

  - ### UNAUTHORIZED

    public static final IngestContractCheckState UNAUTHORIZED

- ## Method Details

  - ### values

    public static IngestContractCheckState[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static IngestContractCheckState valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### contains

    public static boolean contains(String name)